# include directories
ACROOTDIR = ../../../..
RTLIBDIR  = $(ACROOTDIR)/cpp/lib
RTSRCDIR  = $(ACROOTDIR)/rtsrc
RTXSRCDIR = $(ACROOTDIR)/rtsrc
PERSRCDIR = $(ACROOTDIR)/rtpersrc

NGTPROOTDIR = ../..
NGTPLIBDIR = $(NGTPROOTDIR)/lib
NGTPSRCDIR = $(NGTPROOTDIR)/src

CCFLAGS	= -D_TRACE $(CBLDTYPE_) $(CVARS_) $(MCFLAGS) $(CFLAGS_)
IPATHS  = -I$(SRCDIR) -I$(ACROOTDIR) -I$(RTSRCDIR) -I$(PERSRCDIR) $(IPATHS_)
LINKOPT	= $(LINKOPT_)
LPATHS  = $(LPPFX)$(NGTPLIBDIR) $(LPPFX)$(RTLIBDIR) $(LPATHS_)
SRCDIR  = $(NGTPSRCDIR)

HFILES = \
$(SRCDIR)/NGTP-IF1-ControlServices.h  \
$(SRCDIR)/NGTP-IF1-DispatchingServices.h \
$(SRCDIR)/NGTP-IF2-ControlServices.h  \
$(SRCDIR)/NGTP-IF2-DispatchingServices.h \
$(SRCDIR)/NGTP-TU-ApplicationServices.h $(SRCDIR)/rtkey.h  \
$(RTSRCDIR)/asn1type.h $(RTSRCDIR)/asn1CppTypes.h \
$(PERSRCDIR)/asn1per.h $(PERSRCDIR)/asn1PerCppTypes.h

LIBS  = $(NGTPLIBDIR)/ngtp_a.lib $(RTLIBDIR)/asn1per_a.lib \
$(RTLIBDIR)/asn1rt_a.lib

LLIBS = ngtp_a.lib asn1per_a.lib asn1rt_a.lib
